net.minecraft.client.resources

## Class SimpleReloadableResourceManager

- java.lang.Object
- - net.minecraft.client.resources.SimpleReloadableResourceManager

- All Implemented Interfaces:
    IReloadableResourceManager, IResourceManager

      public class SimpleReloadableResourceManager
      extends java.lang.Object
      implements IReloadableResourceManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleReloadableResourceManager(IMetadataSerializer par1MetadataSerializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getAllResources(ResourceLocation par1ResourceLocation)`
    `IResource` | `getResource(ResourceLocation par1ResourceLocation)`
    `java.util.Set` | `getResourceDomains()`
    `void` | `registerReloadListener(IResourceManagerReloadListener par1ResourceManagerReloadListener)`
    `void` | `reloadResourcePack(IResourcePack par1ResourcePack)`
    `void` | `reloadResources(java.util.List par1List)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleReloadableResourceManager

          public SimpleReloadableResourceManager(IMetadataSerializer par1MetadataSerializer)

  - ### Method Detail

    - #### reloadResourcePack

          public void reloadResourcePack(IResourcePack par1ResourcePack)

    - #### getResourceDomains

          public java.util.Set getResourceDomains()

      Specified by:
        `getResourceDomains` in interface `IResourceManager`

    - #### getResource

          public IResource getResource(ResourceLocation par1ResourceLocation)
                                throws java.io.IOException

      Specified by:
        `getResource` in interface `IResourceManager`
      Throws:
        `java.io.IOException`

    - #### getAllResources

          public java.util.List getAllResources(ResourceLocation par1ResourceLocation)
                                         throws java.io.IOException

      Specified by:
        `getAllResources` in interface `IResourceManager`
      Throws:
        `java.io.IOException`

    - #### reloadResources

          public void reloadResources(java.util.List par1List)

      Specified by:
        `reloadResources` in interface `IReloadableResourceManager`

    - #### registerReloadListener

          public void registerReloadListener(IResourceManagerReloadListener par1ResourceManagerReloadListener)

      Specified by:
        `registerReloadListener` in interface `IReloadableResourceManager`